macOS Mojave 安装 PHP 遇到的问题

如果刚更新了 macOS Mojave,没有安装过最新的 Xcode 和 Xcode command line tool 的话,
安装 php 或者运行 php 的时候就会遇到类似下面这样的报错:

dyld: Library not loaded: /usr/local/opt/icu4c/lib/libicui18n.61.dylib
  Referenced from: /usr/local/bin/php
  Reason: image not found

解决方案就是更新 Xcode 和 Xcode 命令行工具,更新 Xcode 要很久做好心理准备。

之前已经安装好的 php 也不能用的话,等更新完 Xcode 之后,执行 brew reinstall php@7.x 就可以了。

评论

  1. 兰小宇

    大佬谢谢了,找了一个下午了,

    回复
    1. JIAYX

      不客气,很开心能帮到你

      回复